org.eclipse.viatra.addon.querybasedfeatures.runtime

## Class QueryBasedFeatureHandler

- java.lang.Object
- - org.eclipse.viatra.addon.querybasedfeatures.runtime.QueryBasedFeatureHandler

- All Implemented Interfaces:
    IQueryBasedFeatureHandler

      public class QueryBasedFeatureHandler
      extends java.lang.Object
      implements IQueryBasedFeatureHandler

  This class is meant for handling clients with old generated code.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryBasedFeatureHandler(QueryBasedFeature queryBasedFeature)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIntValue(java.lang.Object source)`
    `java.util.List<?>` | `getManyReferenceValue(java.lang.Object source)`
    `org.eclipse.emf.common.util.EList` | `getManyReferenceValueAsEList(java.lang.Object source)`
    `java.lang.Object` | `getSingleReferenceValue(java.lang.Object source)`
    `java.lang.Object` | `getValue(java.lang.Object source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBasedFeatureHandler

          protected QueryBasedFeatureHandler(QueryBasedFeature queryBasedFeature)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(java.lang.Object source)

      Specified by:
        `getValue` in interface `IQueryBasedFeatureHandler`

    - #### getIntValue

          public int getIntValue(java.lang.Object source)

      Specified by:
        `getIntValue` in interface `IQueryBasedFeatureHandler`

    - #### getSingleReferenceValue

          public java.lang.Object getSingleReferenceValue(java.lang.Object source)

      Specified by:
        `getSingleReferenceValue` in interface `IQueryBasedFeatureHandler`

    - #### getManyReferenceValue

          public java.util.List<?> getManyReferenceValue(java.lang.Object source)

      Specified by:
        `getManyReferenceValue` in interface `IQueryBasedFeatureHandler`

    - #### getManyReferenceValueAsEList

          public org.eclipse.emf.common.util.EList getManyReferenceValueAsEList(java.lang.Object source)

      Specified by:
        `getManyReferenceValueAsEList` in interface `IQueryBasedFeatureHandler`